#include <bits/stdc++.h>
using namespace std;

int main(){
    int T, N;
    cin >> T;

    for( int i = 1; i <= T; i++ ) {
        cin >> N;

        for( int j = 1; j <= N; j++ ) {
            int A[j];
            cin >> A[j];
        }

        for( int k = 1; k <= N; k++ ) {
            int B[k];
            cin >> B[k];
        }

    }
    return 0;
}